// Mandelbrot shader using GPGPU techniques
// Author: Gabriel Zachmann, June 2007
//
// These shaders are derived from ../GLSL_editor/mandelbrot.{vert,frag}
//
// Assumption: all texture coords are in [0,1]x[0.1] !


#version 110

uniform vec2 RangeCenter;			// range in the complex plane
uniform float RangeSize;			// try the following values: center / size
// 1. -0.6 , 0.0 / 3.0
// 2. -1.63, -0.02 / 0.33
// 3. -1.63 , -0.02 / 0.02
// 4. -1.209677 , 0.236559 / 0.009

varying vec2 c;


void main()
{
	vec2 rangemin = RangeCenter - 0.5*vec2(RangeSize);
	c = rangemin + gl_MultiTexCoord0.st * RangeSize;

	gl_Position = ftransform();
}

