// procedural brick texture

varying vec4 LightIntensity;		// contains diffuse and specular terms, w/o object color
varying vec2 Pos_mc;				// the position of the vertex/fragment in model(!) coords

uniform vec4 BrickColor, 					// starting value = (1.0, 0.1, 0.1)
		    MortarColor;					// starting value = (0.7, 0.7, 0.7)
uniform vec2 BrickStepSize, BrickPercent;		// use start val = 0.8,0.8 for BrickPercent


void main()
{
	vec2 pos = Pos_mc / BrickStepSize;
	
	// are we in an odd brick row?
	if ( mod(abs(pos.y), 2.0) > 1.0 )			// this saves conversion to int / mod
		pos.x += 0.5;

	pos = fract( pos );					// = rel. position within brick
	
	// determine color
	vec4 color;
	if ( pos.x > BrickPercent.x || pos.y > BrickPercent.y )
		color = MortarColor;
	else
		color = BrickColor;

    gl_FragColor = color;
}
