// procedural brick texture
// inspired by ch. 6 in the orange book

varying vec4 LightIntensity;		// contains diffuse and specular terms, w/o object color
varying vec2 Pos_mc;				// the position of the vertex/fragment in model(!) coords

uniform vec4 BrickColor, MortarColor;
uniform vec2 BrickStepSize, BrickPercent;


void main()
{
	vec2 pos = Pos_mc / BrickStepSize;
	
	// are we in an odd brick row?
	if ( mod(abs(pos.y), 2.0) > 1.0 )			// this saves conversion to int / mod
		pos.x += 0.5;

	pos = fract( pos );						// = rel. position within brick
	
	// determine color
	vec4 color;
	if ( any( greaterThan(pos, BrickPercent) ) )	// now with vector relational functions
		color = MortarColor;
	else
		color = BrickColor;

	color *= LightIntensity;
    gl_FragColor = color;
}
