
varying vec4 diffuse, ambient;
varying vec3 lightDir, halfVector;
varying vec3 normal;

void main()
{
	vec4 color = ambient;
	vec3 n = normalize( normal );	// must be normalized again
	float NdotL = max( dot(n,lightDir), 0.0 );

	if ( NdotL > 0.0 )
	{
		color += diffuse * NdotL;

		vec3 h = normalize( halfVector );
		float NdotH = max( dot(n,h), 0.0 );

		if ( NdotH > 0.0 )
			color += gl_FrontMaterial.specular * gl_LightSource[0].specular * 
					pow(NdotH, gl_FrontMaterial.shininess);
	}

	gl_FragColor = color;
}
