
/* Print orbit of a sequence */

/* gcc -Wall orbit.c -o orbit */

#include <stdlib.h>
#include <stdio.h>


void cmul( double res[2], double c1[2], double c2[2] )
{
	double r[2];
    r[0] = c1[0] * c2[0] - c1[1] * c2[1];
	r[1] = c1[0] * c2[1] + c1[1] * c2[0];
	res[0] = r[0];  res[1] = r[1];
}


int main( int argc, char ** argv )
{
	double c[2];
	c[0] = atof( argv[1] );
	c[1] = atof( argv[2] );

	unsigned int n_iter = atoi( argv[3] );

	printf("c = %lf + %lfi   num iter = %u\n", c[0], c[1], n_iter );

	double z[2] = { c[0], c[1] };
	unsigned int i;
	for ( i = 0; i < n_iter; i ++ )
	{
		cmul( z, z, z );		/* z = z^2 */
		z[0] += c[0];  z[1] += c[1];
		printf("%2u:  z = %lf + %lfi\n", i, z[0], z[1] );
	}

	return 0;
}

